Vulnerability Assessment & Network Security Forums



If through a vulnerability assessment, a network security issue is detected for the vulnerability below, applying the appropriate security patches in a timely matter is very important.  If you have detected that your system has already been compromised, following CERT's Network Security recovery document will assist with recommended steps for system recovery.


Home >> Browse Vulnerability Assessment Database >> Debian Local Security Checks >> [DSA509] DSA-509-1 gatos


Vulnerability Assessment Details

[DSA509] DSA-509-1 gatos

Vulnerability Assessment Summary
DSA-509-1 gatos

Detailed Explanation for this Vulnerability Assessment

Steve Kemp discovered a vulnerability in xatitv, one of the programs
in the gatos package, which is used to display video with certain
ATI video cards.
xatitv is installed setuid root in order to gain direct access to the
video hardware. It normally drops root rights after successfully
initializing itself. However, if initialization fails due to a
missing configuration file, root rights are not dropped, and
xatitv executes the system(3) function to launch its configuration
program without sanitizing user-supplied environment variables.
By exploiting this vulnerability, a local user could gain root
rights if the configuration file does not exist. However, a
default configuration file is supplied with the package, and so this
vulnerability is not exploitable unless this file is removed by the
administrator.
For the current stable distribution (woody) this problem has been
fixed in version 0.0.5-6woody1.
For the unstable distribution (sid), this problem will be fixed soon.
We recommend that you update your gatos package.


Solution : http://www.debian.org/security/2004/dsa-509
Network Security Threat Level: High

Networks Security ID: 10437

Vulnerability Assessment Copyright: This script is (C) 2005 Michel Arboi

Cables, Connectors

DELL POWEREDGE R520 SERVER TWO E5-2403V2 1.8GHZ 192GB 5 X 300GB 15K SAS H710P
$4239.0
DELL POWEREDGE R520 SERVER TWO E5-2403V2 1.8GHZ 192GB 5 X 300GB 15K SAS H710P pictureDELL POWEREDGE R520 SERVER E5-2420V2 2.2GHZ 12GB 7 X 600GB 15K SAS H710
$3469.0
DELL POWEREDGE R520 SERVER E5-2420V2 2.2GHZ 12GB 7 X 600GB 15K SAS H710 pictureDELL POWEREDGE R520 SERVER E5-2430V2 2.5GHZ 16GB 5 X 300GB 15K SAS H710
$1999.0
DELL POWEREDGE R520 SERVER E5-2430V2 2.5GHZ 16GB 5 X 300GB 15K SAS H710 pictureDELL POWEREDGE R520 SERVER TWO E5-2430 2.20GHZ 96GB 8 X 146GB 15K SAS H710P
$3229.0
DELL POWEREDGE R520 SERVER TWO E5-2430 2.20GHZ 96GB 8 X 146GB 15K SAS H710P picture


Discussions

No Discussions have been posted on this vulnerability.